Conclusion
==========

This brief deliverable consists of accompanying documentation to the following software implementations realised for the DECODE project:

- [DECODE OS Devuan blend (ARM and VM targets)](https://github.com/DECODEproject/decode-os)
- [Tor Dam software application (Go language)](https://github.com/DECODEproject/tor-dam)
- [Roundshot ramdisk (GNU Makefile)](https://github.com/DECODEproject/roundshot)

The implementation of the OS with the HUB hardware platform has been a straightforward process and it did not induced any compromise on the freedom of software and hardware deployed. The DECODE HUB when equipped is usable as a reliable platform for P2P networks that abide to the principles of privacy by design enounced in D4.1.

The work outlined in this deliverable will proceed further to test the behavior of DECODE HUBs in various situations, functioning as edge routers to the DECODE network, with their deployement on premises of various DECODE pilot partners.

The upcoming deliverable D4.10 "DECODE HUB devices piloted in trials" will report field tests conducted on pilots, while the D4.16 "Report on DECODE architecture stability and usability" shall outline the stability and usability of this component used in conjunction with DECODE application space tooling as well as standalone base for more modular P2P applications in need to deploy cloud-shaped micro-service swarms whose connections can be private, pseudonimic and encrypted.


