Introduction
============

This brief technical deliverable illustrates aspects related to the integration and deployement of the DECODE OS (D4.4) with the DECODE HUB hardware platform according to benchmarks (D4.5) and the indicated reference prototype (D4.8). This deliverable configures itself also as an operational manual about the following topics:

1. Specifications of the HUB hardware adopted
2. Procedures to build the OS for the HUB
3. Instructions to deploy the HUB running the OS
4. Overview of networking access and operations

This document provides pilot partners in DECODE the basic knowledge to run a DECODE HUB node on their premises, assessing the impact of such a deployement within their infrastructure. As the piloting phase unfolds towards D4.10 "DECODE HUB devices piloted in trials" this document will be extended considering the security and liability implications emerged.

For any enquiry, the contact person for corrections and additions to this deliverable is Denis Roio (Dyne.org) <jaromil@dyne.org>

The latest version of this deliverable is made available to the public as part of the documentation of DECODE OS and attainable from its website on [](https://decodeos.dyne.org).

